Bug 998915 - Review Request: rubygem-wirb - Wavy IRB: Colorizes irb results
Summary: Review Request: rubygem-wirb - Wavy IRB: Colorizes irb results
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 998459
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-20 10:47 UTC by Miroslav Suchý
Modified: 2013-09-08 00:31 UTC (History)
1 user (show)

Fixed In Version: rubygem-wirb-1.0.1-5.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-08 00:31:09 UTC
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2013-08-20 10:47:55 UTC
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-wirb/rubygem-wirb.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-wirb/rubygem-wirb-1.0.1-3.fc19.src.rpm
Description:
Wavy IRB: Colorizes irb results. It originated from Wirble, but only provides
result highlighting. Just call Wirb.start and enjoy the colors in your IRB ;).
You can use it with your favorite colorizer engine. See README.rdoc for more
details.

Fedora Account System Username: msuchy
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5832350

Comment 2 Mamoru TASAKA 2013-08-28 00:55:22 UTC
Assigning.

Comment 3 Mamoru TASAKA 2013-08-28 09:18:26 UTC
Will review. For swapping, I would appreciate it if you would review my review request (bug 1001984 )

Comment 4 Mamoru TASAKA 2013-08-30 10:55:52 UTC
For -4:

* SourceURL
  - Plese specify full URL for Source0

* Virtual (Build)Requires is preferred
  - Using rubygem(rspec) is preferred than rubygem-rspec for
    BuildRequires (however you may want to comment it out
    for now anyway)

* %gem_install availability
  - %gem_install macro is available on F-18 and above
    (you can change to %if 0%{?fedora} >= 18)

* Documentation
  - I recommend to move README.rdoc to main package because
    it says "README".

Comment 6 Mamoru TASAKA 2013-08-30 13:01:48 UTC
Approving.

--------------------------------------------------------
   This package (rubygem-wirb) is APPROVED by mtasaka
--------------------------------------------------------

Comment 7 Miroslav Suchý 2013-08-30 13:03:42 UTC
Thanks.

Comment 8 Miroslav Suchý 2013-08-30 13:04:44 UTC
New Package SCM Request
=======================
Package Name: rubygem-wirb
Short Description: Wavy IRB: Colorizes irb results
Owners: msuchy
Branches: f19 f20
InitialCC:

Comment 9 Gwyn Ciesla 2013-08-30 13:20:21 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-08-30 13:40:22 UTC
rubygem-wirb-1.0.1-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-wirb-1.0.1-5.fc19

Comment 11 Fedora Update System 2013-08-30 23:03:49 UTC
rubygem-wirb-1.0.1-5.fc19 has been pushed to the Fedora 19 testing repository.

Comment 12 Fedora Update System 2013-09-08 00:31:09 UTC
rubygem-wirb-1.0.1-5.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.